using Portfolio.Domain.Features.TemperatureDay;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Portfolio.Application.Services.NWSWeatherService
{
    public interface INWSWeatherService
    {
        Task<string> GetNearestStationAsync(double latitude, double longitude);
        Task<double?> GetDailyAverageTempAsync(string stationId, DateTime date);
        Task<List<TemperatureDay>> GetTemperatureDataAsync(double latitude, double longitude, int year);

    }
}
